> ## Documentation Index
> Fetch the complete documentation index at: https://developer.zeckta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Account Details

> Retrieves comprehensive information about the workspace, including balances, limits, and plan details.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/workspaces/account
openapi: 3.1.0
info:
  title: Zeckta Messaging API
  description: |
    Zeckta Messaging API provides SMS messaging,
    OTP verification, Sender Name management,
    delivery tracking, campaign messaging,
    and webhook integrations.
  contact:
    name: Zeckta
    url: https://zeckta.com
    email: support@zeckta.com
  license:
    name: Commercial
  version: 1.0.0
servers:
  - url: https://api.zeckta.com
    description: Production
security:
  - bearerAuth: []
tags:
  - name: SMS Messaging
    description: RESTful endpoints for single and bulk SMS
  - name: Sender Names
    description: SMS sender name management
  - name: Workspace
    description: Manage and inspect workspace / account details
  - name: OTP Service
    description: RESTful endpoints for 2-Factor Authentication
paths:
  /v1/workspaces/account:
    get:
      tags:
        - Workspace
      summary: Get Account Details
      description: >-
        Retrieves comprehensive information about the workspace, including
        balances, limits, and plan details.
      operationId: getWorkspaceAccount
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ZecktaApiResponseWorkspaceAccountDTO'
        '400':
          description: Bad Request
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ZecktaApiResponseObject'
        '401':
          description: Unauthorized
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ZecktaApiResponseObject'
        '402':
          description: Payment Required
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ZecktaApiResponseObject'
        '403':
          description: Forbidden
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ZecktaApiResponseObject'
        '404':
          description: Not Found
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ZecktaApiResponseObject'
        '409':
          description: Conflict
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ZecktaApiResponseObject'
        '429':
          description: Too Many Requests
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ZecktaApiResponseObject'
        '500':
          description: Internal Server Error
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ZecktaApiResponseObject'
components:
  schemas:
    ZecktaApiResponseWorkspaceAccountDTO:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
        data:
          $ref: '#/components/schemas/WorkspaceAccountDTO'
        requestId:
          type: string
    ZecktaApiResponseObject:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
        data:
          type: object
        requestId:
          type: string
    WorkspaceAccountDTO:
      type: object
      properties:
        workspaceUuid:
          type: string
        name:
          type: string
        slug:
          type: string
        balanceUnits:
          type: integer
          format: int64
        bundleBalanceUnits:
          type: integer
          format: int64
        totalAvailableUnits:
          type: integer
          format: int64
        billType:
          type: string
        currency:
          type: string
        planName:
          type: string
        planMaxSenderNames:
          type: integer
          format: int32
        campaignMaxRecipients:
          type: integer
          format: int32
        gsm7MaxSegments:
          type: integer
          format: int32
        ucs2MaxSegments:
          type: integer
          format: int32
        apiRateLimitPerSecond:
          type: integer
          format: int32
        workspaceStatus:
          type: string
        allowedCountries:
          type: array
          items:
            type: string
        blockedCountries:
          type: array
          items:
            type: string
  securitySchemes:
    bearerAuth:
      type: http
      description: 'Provide your Zeckta API Key using: Bearer YOUR_API_KEY'
      scheme: bearer
      bearerFormat: API Key

````